stages:
    - build

build-run:
    stage: build
    image: nidxoid/texlive
    tags:
        - docker
    script: |
        find . -name "*.tex" -exec latexmk -pdf -cd {} \;
    artifacts:
        paths:
            - lectures/*/document.pdf